// Реализовать функцию фильтра массива по указанному типу данных.
// //
// //     Технические требования:
// //
// //     Написать функцию filterBy(), которая будет принимать в себя 2 аргумента.
// //     Первый аргумент - массив, который будет содержать в себе любые данные, второй аргумент - тип данных.
// //     Функция должна вернуть новый массив, который будет содержать в себе все данные,
// //     которые были переданы в аргумент, за исключением тех, тип которых был передан
// // вторым аргументом. То есть, если передать массив ['hello', 'world', 23, '23', null],
// //     и вторым аргументом передать 'string', то функция вернет массив [23, null].

function filterBy(arr, type) {

    const result = words.filter(word => typeof word !=='string' );

    console.log(result);
}

const words = ['hello', 'world', 23, '23', null];

filterBy(words, 'string');